<!doctype html>
<html>
<head>
    <title>New Tor Browser Bundles and alpha bundles | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="New Tor Browser Bundles and alpha bundles | Tor Project">
    <meta property="og:description" content="The stable Tor Browser Bundles have been updated to fix a crash bug that existed in the previous...">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/new-tor-browser-bundles-and-alpha-bundles/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        New Tor Browser Bundles and alpha bundles
      </h1>
    <p class="meta">by erinn | October 23, 2012</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>The stable Tor Browser Bundles have been updated to fix a crash bug that existed in the previous version. If you were experiencing problems, please update and <a href="https://trac.torproject.org" rel="nofollow">let us know</a> if you have any further problems.</p>

<p>All alpha bundles have also been updated to Tor 0.2.3.23-rc. We've downgraded the Firefox version in the alpha Tor Browser Bundles to 10.0.9esr and will continue to keep the same version of Firefox in both bundles for the foreseeable future. In addition to that, the Linux and OS X versions have automatic port selection re-enabled, so those of you who were experiencing trouble running a concurrent system Tor on those systems should no longer have any issues.</p>

<p>All users who were using Tor 0.2.3.22-rc are strongly encouraged to upgrade.</p>

<p><a href="https://www.torproject.org/download" rel="nofollow">https://www.torproject.org/download</a></p>

<p>Further notes about Tor Browser Bundle updates:</p>

<p><strong>Tor Browser Bundle (2.2.39-4)</strong></p>

<ul>
<li>Update Firefox patches to prevent crashing (closes: #7128)</li>
<li>Update HTTPS Everywhere to 3.0.2</li>
<li>Update NoScript to 2.5.8</li>
</ul>

<p><strong>Tor Browser Bundle (2.3.23-alpha-1)</strong></p>

<ul>
<li>Update Tor to 0.2.3.23-rc</li>
<li>Update Firefox to 10.0.9esr</li>
<li>Update HTTPS Everywhere to 4.0development.1</li>
<li>Update NoScript to 2.5.8</li>
<li>Re-enable automatic Control and SOCKS port selection on Linux and OSX</li>
</ul>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/applications">
          applications
        </a>
      </li><li>
        <a href="../category/releases">
          releases
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-17877"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17877" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 24, 2012</p>
    </div>
    <a href="#comment-17877">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17877" class="permalink" rel="bookmark">The new browser bundle for</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The new browser bundle for mac doesn't do downloads properly - all my downloads are finishing as incomplete files.</p>
<p>Where can I download an older version of the tor browser bundle, I stupidly deleted the old one when I installed the new one.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17879"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17879" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 24, 2012</p>
    </div>
    <a href="#comment-17879">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17879" class="permalink" rel="bookmark">The Tor has been blocked in</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The Tor has been blocked in Iran for more than 24 days ,it seems they defeated you finally!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17884"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17884" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 24, 2012</p>
    </div>
    <a href="#comment-17884">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17884" class="permalink" rel="bookmark">Why the change to Firefox</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why the change to Firefox ESR in the alpha bundles?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17887"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17887" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 24, 2012</p>
    </div>
    <a href="#comment-17887">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17887" class="permalink" rel="bookmark">Instead of using Tails, what</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Instead of using Tails, what is a good LiveCD to use with TBB?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17890"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17890" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 24, 2012</p>
    </div>
    <a href="#comment-17890">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17890" class="permalink" rel="bookmark">I tried commenting before</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I tried commenting before but for some reason it doesn't appear.</p>
<p>The new os x browser bundle ((2.2.39-4) doesn't work properly - when downloading files in the browser, they all quit prematurely.</p>
<p>The previous version worked fine. Please post how to find the previous version re-install!</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17895"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17895" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2012</p>
    </div>
    <a href="#comment-17895">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17895" class="permalink" rel="bookmark">Thanks from china.
This new</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thanks from china.<br />
This new version works on Windows 7.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17900"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17900" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2012</p>
    </div>
    <a href="#comment-17900">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17900" class="permalink" rel="bookmark">thanks from</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>thanks from china<br />
tor-browser-2.2.39-4_en-US works on Windows 7 here :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17909"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17909" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 25, 2012</p>
    </div>
    <a href="#comment-17909">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17909" class="permalink" rel="bookmark">I was using TBB version</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I was using TBB version 2.2.39-3. It was working OK. I quit TBB and restarted it hours later. Vidalia bootstrapped to 25% only and stuck there! It would not bootstrap further. 'Vidalia not responding' in Activity Monitor app. I deleted TBB and downloaded version 2.2.39-4. Same problem. I tried the Vidalia bundle with my own Firefox. Same problem. Unable to use TBB. (Intel Mac OSX 10.6.8). Thanks.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17916"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17916" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 27, 2012</p>
    </div>
    <a href="#comment-17916">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17916" class="permalink" rel="bookmark">Hi,
do you still provide</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Hi,</p>
<p>do you still provide pre-built versions of the alpha software?<br />
If so, where can I download it?</p>
<p>Thanks</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-17924"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-17924" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 28, 2012</p>
    </div>
    <a href="#comment-17924">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-17924" class="permalink" rel="bookmark">This is in the past, but</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>This is in the past, but thanks whoever fixed that crash, if you see this :)</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
